# Uses of Interface
org.eclipse.jface.text.IAutoIndentStrategy

Packages that use IAutoIndentStrategy
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of IAutoIndentStrategy in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement IAutoIndentStrategy
Modifier and Type
Class
Description
`class`
`DefaultAutoIndentStrategy`
Deprecated.
since 3.1 use `DefaultIndentLineAutoEditStrategy` instead
Methods in org.eclipse.jface.text with parameters of type IAutoIndentStrategy
Modifier and Type
Method
Description
`void`
ITextViewer.`setAutoIndentStrategy(IAutoIndentStrategy strategy, String contentType)`
Deprecated.
since 3.1, use `ITextViewerExtension2.prependAutoEditStrategy(IAutoEditStrategy, String)` and `ITextViewerExtension2.removeAutoEditStrategy(IAutoEditStrategy, String)` instead
`void`
TextViewer.`setAutoIndentStrategy(IAutoIndentStrategy strategy, String contentType)`
Deprecated.
since 3.1, use `ITextViewerExtension2.prependAutoEditStrategy(IAutoEditStrategy, String)` and `ITextViewerExtension2.removeAutoEditStrategy(IAutoEditStrategy, String)` instead

## Uses of IAutoIndentStrategy in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return IAutoIndentStrategy
Modifier and Type
Method
Description
`IAutoIndentStrategy`
SourceViewerConfiguration.`getAutoIndentStrategy(ISourceViewer sourceViewer, String contentType)`
Deprecated.
since 3.1 use `SourceViewerConfiguration.getAutoEditStrategies(ISourceViewer, String)` instead